Commit 2994fe34 authored by Nicolas Joyard's avatar Nicolas Joyard

Add missing pip info in updated doc

parent 55f610da
......@@ -7,6 +7,7 @@ Prerequisites
You will need the following:
* A clone of the git repository at ``https://github.com/political-memory/political_memory.git``
* A dedicated python virtualenv
* a PostgreSQL>=9.2 database (not necessarily on the same machine)
* a WSGI-capable web server
......@@ -34,6 +35,10 @@ allowed hosts. Setup your WSGI server to serve:
Initial memopol setup
=====================
From the repository root, install python dependencies::
$ pip install -Ue .
Install client libraries::
$ bin/install_client_deps.sh
......@@ -54,6 +59,7 @@ Updating
To update simply pull the repository and run setup commands again::
$ git pull
$ pip install -Ue .
$ bin/install_client_deps.sh
$ ./manage.py migrate --noinput
$ ./manage.py collectstatic --noinput
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment